{ stdenv, fetchzip }:

stdenv.mkDerivation rec {
  pname = "hibernate-button";
  version = "20";

  src = fetchzip {
    url = "https://extensions.gnome.org/extension-data/hibernate-statusdromi.v${version}.shell-extension.zip";
    sha256 = "1106s8pimsamfhjxwnyjb5hvcz0jxf7k416d9w5m71n1i0sgfnnn";
    stripRoot = false;
  };

  uuid = "hibernate-status@dromi";

  dontBuild = true;

  installPhase = ''
    mkdir -p $out/share/gnome-shell/extensions/${uuid}
    cp confirmDialog.js extension.js metadata.json prefs.js $out/share/gnome-shell/extensions/${uuid}
    cp -r schemas $out/share/gnome-shell/extensions/${uuid}
  '';

  meta = with stdenv.lib; {
    description = "Gnome Shell extension that adds a hibernate/hybrid suspend button in Status menu";
    homepage = "https://github.com/arelange/gnome-shell-extension-hibernate-status";
    license = licenses.gpl2;
  };
}
