{ stdenv, fetchFromGitHub }:

stdenv.mkDerivation rec {
  pname = "hide-activities";
  version = "1.0";

  src = fetchFromGitHub {
    owner = "richard-fisher";
    repo = "hide-activities";
    rev = "5177b0152e4d38e2ccc8f5b632d973cddfbf69ca";
    sha256 = "0r9gcmk3hlw7z6pm1p517mygzr4wyycmsg8kpnsk2ggfi6xjiw3z";
  };

  uuid = "hide-activities-button@gnome-shell-extensions.bookmarkd.xyz";

  dontBuild = true;

  installPhase = ''
    mkdir -p $out/share/gnome-shell/extensions/${uuid}
    cp metadata.json extension.js $out/share/gnome-shell/extensions/${uuid}
  '';

  meta = with stdenv.lib; {
    description = "Hides the Activities button on the panel";
    homepage = "https://github.com/richard-fisher/hide-activities";
    license = licenses.gpl3;
  };
}
