{ stdenv, fetchFromGitHub, gtk3, gnome-icon-theme, hicolor-icon-theme }:

stdenv.mkDerivation rec {
  pname = "flatery-icon-theme";
  version = "20.12.29";

  src = fetchFromGitHub {
    owner = "cbrnix";
    repo = "Flatery";
    rev = "8beb69e7c4b51970ffb8542cddb1c5603afdc7e3";
    sha256 = "1d5f6w3fzgpxl8h132xk69hjrd9i5a039184qa37ynp9awwp44l8";
  };

  nativeBuildInputs = [ gtk3 ];

  propagatedBuildInputs = [ gnome-icon-theme hicolor-icon-theme ];

  dontDropIconThemeCache = true;

  installPhase = ''
    mkdir -p $out/share/icons
    cp -a Flatery{-Black,-Blue,-Gray,-Indigo,-Orange,-Pink,-Sky,-Teal,-Yellow,}{-Dark,} $out/share/icons
    for theme in $out/share/icons/*; do
      gtk-update-icon-cache $theme
    done

    mkdir -p $out/share/wallpapers
    cp -a Flatery-wallpapers $out/share/wallpapers
  '';

  meta = with stdenv.lib; {
    description = "Flatery icon theme";
    homepage = "https://github.com/cbrnix/Flatery";
    license = licenses.cc-by-nc-sa-30;
  };
}
