{ stdenv, fetchFromGitHub, cmake, ssvutils, sparsehash }:

stdenv.mkDerivation rec {
  pname = "SSVEntitySystem";
  version = "2013.06.14";

  src = fetchFromGitHub {
    owner = "SuperV1234";
    repo = pname;
    rev = "ebb1b5121910304f84a8270f1941bf0a68d5d5d3";
    sha256 = "0ni424m31pys8gjvkhspdq437s4hvmhd4bh9qa6y7ql60wwjhyi5";
  };

  nativeBuildInputs = [
    cmake
  ];

  cmakeFlags = [
    "-DSSVUTILS_INCLUDE_DIR=${ssvutils}/include"
  ];

  preConfigure = ''
    rm -r ./extlibs/*
    ln -s ${ssvutils}/share ./extlibs/SSVUtils;
  '';

  postInstall = ''
    mkdir -p $out/share/cmake/modules
    cp ${src}/cmake/modules/FindSSVEntitySystem.cmake $out/share/cmake/modules
  '';

  buildInputs = [
    ssvutils
    sparsehash
  ];
}
