{ stdenv, fetchFromGitHub, cmake }:

stdenv.mkDerivation rec {
  pname = "SSVJsonCpp";
  version = "2013.06.14";

  src = fetchFromGitHub {
    owner = "SuperV1234";
    repo = pname;
    rev = "cdae6add9a7181d29d44375909336079c549824e";
    sha256 = "0csysjddp2ifi535n8h5gd8agf2jsvqkjkvvad7ihbp7hkq4ihsg";
  };

  patches = [
    ./SSVJsonCpp-install-include-not-src.patch
  ];

  postInstall = ''
    mkdir -p $out/share/cmake/modules
    cp  ${src}/cmake/modules/FindSSVJsonCpp.cmake $out/share/cmake/modules
  '';

  nativeBuildInputs = [
    cmake
  ];
}
