{ stdenv, fetchFromGitHub, cmake, lua5_1 }:

stdenv.mkDerivation rec {
  pname = "SSVLuaWrapper";
  version = "2013.06.14";

  src = fetchFromGitHub {
    owner = "SuperV1234";
    repo = pname;
    rev = "decb0ee9971b0fd340386b7c95697e3eb3039ee5";
    sha256 = "1444x0vks3rhmgsrkd0avxss8rv0izm2b5wq03nw5p3fipw03sdx";
  };

  nativeBuildInputs = [
    cmake
  ];

  patches = [
    ./SSVLuaWrapper-patch-include-paths.patch
  ];

  cmakeFlags = [
    "-DLUA_INCLUDE_DIR=${lua5_1}/include"
  ];


  postInstall = ''
    mkdir -p $out/share/cmake/modules
    cp ${src}/cmake/modules/Find${pname}.cmake $out/share/cmake/modules
  '';

  buildInputs = [ lua5_1 ];
}
