{ stdenv, fetchFromGitHub,
  cmake,
  ssvutils,
  ssvjsoncpp,
  ssvutilsjson,
  sfml }:

stdenv.mkDerivation rec {
  pname = "SSVStart";
  version = "2013.06.14";

  src = fetchFromGitHub {
    owner = "SuperV1234";
    repo = pname;
    rev = "40dcafc7ce35b05b3e72901201a92bfbc907a2f7";
    sha256 = "00g8hqsa5lh0hdj7949fpi41rcy7bsnximknj59r3w338msvqkqg";
  };

  nativeBuildInputs = [
    cmake
  ];

  cmakeFlags = [
    "-DSSVJSONCPP_INCLUDE_DIR=${ssvjsoncpp}/include"
    "-DSSVUTILS_INCLUDE_DIR=${ssvutils}/include"
  ];

  preConfigure = ''
    rm -r ./extlibs/*
    ln -s ${ssvjsoncpp}/share ./extlibs/SSVJsonCpp;
    ln -s ${ssvutils}/share ./extlibs/SSVUtils;
    ln -s ${ssvutilsjson}/share ./extlibs/SSVUtilsJson;
  '';

  postInstall = ''
    mkdir -p $out/share/cmake/modules
    cp ${src}/cmake/modules/Find${pname}.cmake $out/share/cmake/modules
  '';

  buildInputs = [
    ssvjsoncpp
    ssvutils
    ssvutilsjson
    sfml
  ];
}
