{ stdenv, fetchFromGitHub, cmake, ssvutils, ssvjsoncpp }:

stdenv.mkDerivation rec {
  pname = "SSVUtilsJson";
  version = "2013.06.14";

  src = fetchFromGitHub {
    owner = "SuperV1234";
    repo = pname;
    rev = "57c7c45eb4e2cf8b114a153d690fb111ea520ceb";
    sha256 = "10zn0alxk6g1zmm39l9mv8whamlljm1b6dckhlbwzl112falabgd";
  };

  nativeBuildInputs = [
    cmake
  ];

  cmakeFlags = [
    "-DSSVJSONCPP_INCLUDE_DIR=${ssvjsoncpp}/include"
    "-DSSVUTILS_INCLUDE_DIR=${ssvutils}/include"
  ];

  preConfigure = ''
    rm -r ./extlibs/*
    ln -s ${ssvjsoncpp}/share ./extlibs/SSVJsonCpp;
    ln -s ${ssvutils}/share ./extlibs/SSVUtils;
  '';

  postInstall = ''
    mkdir -p $out/share/cmake/modules
    cp ${src}/cmake/modules/FindSSVUtilsJson.cmake $out/share/cmake/modules
  '';

  buildInputs = [
    ssvjsoncpp
    ssvutils
  ];
}
